ome-xml 5.2.3

Public Member Functions | Public Attributes | List of all members
ome::xml::model::Plate::Impl Class Reference

Private implementation details of Plate model object. More...

Collaboration diagram for ome::xml::model::Plate::Impl:
[legend]

## Public Member Functions
| Impl ()
| Default constructor.
| Impl (const Impl &copy)
| Copy constructor.

## Public Attributes
ome::compat::shared_ptr< std::string > | status
| Status property.
ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > | rows
| Rows property.
ome::compat::shared_ptr< std::string > | externalIdentifier
| ExternalIdentifier property.
ome::compat::shared_ptr< ome::xml::model::enums::NamingConvention > | rowNamingConvention
| RowNamingConvention property.
ome::compat::shared_ptr< ome::xml::model::enums::NamingConvention > | columnNamingConvention
| ColumnNamingConvention property.
ome::compat::shared_ptr< ome::xml::model::primitives::NonNegativeInteger > | fieldIndex
| FieldIndex property.
ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > | columns
| Columns property.
ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > > | wellOriginY
| WellOriginY property.
ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > > | wellOriginX
| WellOriginX property.
std::string | id
| ID property.
ome::compat::shared_ptr< std::string > | name
| Name property.
ome::compat::shared_ptr< std::string > | description
| Description property.
std::vector< ome::compat::shared_ptr< ome::xml::model::Well > > | wells
| Well property (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type | annotationLinks
| AnnotationRef reference (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > > | plateAcquisitions
| PlateAcquisition property (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Screen, ome::compat::weak_ptr >::type | screenLinks
| Screen_BackReference back reference (occurs more than once)

## Detailed Description

Private implementation details of Plate model object.

The documentation for this class was generated from the following file:

- ome/xml/model/Plate.cpp